# module WpTarget::WpReadme

### Public Instance Methods

has_readme?() click to toggle source

Checks to see if the readme.html file exists

This file comes by default in a wordpress installation, and if deleted is reinstated with an upgrade.

@return [ Boolean ]

    # File lib/wpscan/wp_target/wp_readme.rb, line 11
    def has_readme?
      response = Browser.get(readme_url())

      unless response.code == 404
        return response.body =~ %r{wordpress} ? true : false
      end
      false
    end

readme_url() click to toggle source

@return [ String ] The readme URL

    # File lib/wpscan/wp_target/wp_readme.rb, line 21
    def readme_url
      @uri.merge('readme.html').to_s
    end